Package org.opensaml.security.credential.impl

# Class AbstractChainingCredentialResolver.CredentialIterable

java.lang.Object
org.opensaml.security.credential.impl.AbstractChainingCredentialResolver.CredentialIterable

All Implemented Interfaces:
  `Iterable<Credential>`

Enclosing class:
  AbstractChainingCredentialResolver<ResolverType extends CredentialResolver>

public class AbstractChainingCredentialResolver.CredentialIterable extends Object implements Iterable<Credential>
Implementation of `Iterable` to be returned by `ChainingCredentialResolver`.

## Field Summary

Fields
Modifier and Type
Field
Description
`private CriteriaSet`
`critSet`
The criteria set on which to base resolution.
`private AbstractChainingCredentialResolver<ResolverType>`
`parent`
The chaining credential resolver which owns this instance.

## Constructor Summary

Constructors
Constructor
Description
`CredentialIterable(AbstractChainingCredentialResolver<ResolverType> resolver, CriteriaSet criteriaSet)`
Constructor.

## Method Summary

Modifier and Type
Method
Description
`Iterator<Credential>`
`iterator()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface java.lang.Iterable

`forEach, spliterator`

## Field Details

### parent

@Nonnull private AbstractChainingCredentialResolver<ResolverType extends CredentialResolver> parent
The chaining credential resolver which owns this instance.

### critSet

@Nullable private CriteriaSet critSet
The criteria set on which to base resolution.

## Constructor Details

### CredentialIterable

public CredentialIterable(@Nonnull AbstractChainingCredentialResolver<ResolverType> resolver, @Nullable CriteriaSet criteriaSet)
Constructor.

Parameters:
  `resolver` - the chaining parent of this iterable
  `criteriaSet` - the set of criteria which is input to the underyling resolvers

## Method Details

### iterator

@Nonnull public Iterator<Credential> iterator()

Specified by:
  `iterator` in interface `Iterable<Credential>`